Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.event
Class ListDataEvent

    java.lang.Object
      java.util.EventObject
          nextapp.echo2.app.event.ListDataEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ListDataEvent

extends java.util.EventObject

An event describing an update to items in a list.

See Also:
  `ListDataListener`, Serialized Form

Field Summary
`static int` | `CONTENTS_CHANGED` An event type indicating items in the list were changed.
`static int` | `INTERVAL_ADDED` An event type indicating items were added to the list.
`static int` | `INTERVAL_REMOVED` An event type indicating items were removed from the list.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListDataEvent(java.lang.Object source, int type, int index0, int index1)` Creates a new `ListDataEvent`

Method Summary
`int` | `getIndex0()` Returns the first index of the interval affected by the list change.
`int` | `getIndex1()` Returns the last index of the interval affected by the list change.
`int` | `getType()` Returns the type of the event

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENTS_CHANGED

    public static final int CONTENTS_CHANGED

  An event type indicating items in the list were changed.

  See Also:
    Constant Field Values

### INTERVAL_ADDED

    public static final int INTERVAL_ADDED

  An event type indicating items were added to the list.

  See Also:
    Constant Field Values

### INTERVAL_REMOVED

    public static final int INTERVAL_REMOVED

  An event type indicating items were removed from the list.

  See Also:
    Constant Field Values

Constructor Detail

### ListDataEvent

    public ListDataEvent(java.lang.Object source,
                         int type,
                         int index0,
                         int index1)

  Creates a new `ListDataEvent`

  Parameters:
    `source` - the object that generated the event
    `type` - the type of event, one of the following values:
    - CONTENTS_CHANGED - Indicates a change was made to one or more items in the list.
    - INTERVAL_ADDED - Indicates one or more items were added to the list.
    - INTERVAL_REMOVED - Indicates one or more items were removed from the list.
    `index0` - the first index of the interval affected by the list change
    `index1` - the last index of the interval affected by the list change

Method Detail

### getIndex0

    public int getIndex0()

  Returns the first index of the interval affected by the list change.

  Returns:
    the first index

### getIndex1

    public int getIndex1()

  Returns the last index of the interval affected by the list change.

  Returns:
    the last index

### getType

    public int getType()

  Returns the type of the event

  Returns:
    the type of event, one of the following values:
    - CONTENTS_CHANGED - Indicates a change was made to one or more items in the list.
    - INTERVAL_ADDED - Indicates one or more items were added to the list.
    - INTERVAL_REMOVED - Indicates one or more items were removed from the list.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD